## gimpdatafiles gimpdatafiles — Functions to handle GIMP data files. |

## Functions

void | (*GimpDatafileLoaderFunc) ()
gboolean | gimp_datafiles_check_extension ()
void | gimp_datafiles_read_directories ()

## Types and Values

| GimpDatafileData

## Description

Functions to handle GIMP data files.

## Functions

### GimpDatafileLoaderFunc ()

    void
    (*GimpDatafileLoaderFunc) (const GimpDatafileData *file_data,
                               gpointer user_data);

### gimp_datafiles_check_extension ()

    gboolean
    gimp_datafiles_check_extension (const gchar *filename,
                                    const gchar *extension);

#### Returns

### gimp_datafiles_read_directories ()

    void
    gimp_datafiles_read_directories (const gchar *path_str,
                                     GFileTest flags,
                                     GimpDatafileLoaderFunc loader_func,
                                     gpointer user_data);

## Types and Values

### GimpDatafileData

    typedef struct {
      const gchar *filename;
      const gchar *dirname;
      const gchar *basename;

      time_t       atime;
      time_t       mtime;
      time_t       ctime;
    } GimpDatafileData;

This structure is passed to the GimpDatafileLoaderFunc given to `gimp_datafiles_read_directories()` for each file encountered in the data path.

#### Members

const gchar *`filename`; | the data file's full path. |
const gchar *`dirname`; | the folder the data file is is. |
const gchar *`basename`; | the data file's basename. |
time_t `atime`; | the last time the file was accessed for reading. |
time_t `mtime`; | the last time the file was modified. |
time_t `ctime`; | the time the file was created. |